/*
 * Copyright (C) 2005, Edmundo Albuquerque de Souza e Silva.
 *
 * This file may be distributed under the terms of the Q Public License
 * as defined by Trolltech AS of Norway and appearing in the file
 * LICENSE.QPL included in the packaging of this file.
 *
 * THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING
 * THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#define TYPE_BOOLEAN    1
#define TYPE_INTEGER    2
#define TYPE_STRING     3
#define TYPE_IP_ADDRESS 4
#define TYPE_REDUN      5
#define TYPE_ID         6

typedef char boolean;

struct atributo
{
    char * v;
};
              
union value{
            int int_value;
            char * str_value;
            struct sockaddr_in ip_value;
            boolean bool_value;
            };

struct parameter{
                 char variable[200];
                 int type;
                 union value v;
                 int used;
                };
              
void insert_variable( char *, int, void * );
int get_value( char *, void * );
int parse_config( char * );

extern int n_items;
extern struct parameter * config;
